# PhoneUsageEvent

Represents a phone usage event (i.e. handling of the phone) during a transport.

## PhoneUsageEvent API

### `getCallState()`

> ```java
> CallState getCallState()
> ```
>
> Returns the phone call state during the phone usage event. See [CallState](/important-topics/sdk/api-reference/android/driving-insights/phoneusageevent/callstate.md).

### `getEndTime()`

> ```java
> DateTime getEndTime()
> ```
>
> Returns the end date and time of occurrence of the event.

### `getStartTime()`

> ```java
> DateTime getStartTime()
> ```
>
> Returns the start date and time of occurence of the event.

### `getWaypoints()`

> ```java
> List<Waypoint> getWaypoints()
> ```
>
> Returns a list of transport waypoints that indicate the segment of the transport where the event occurred.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/phoneusageevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
